请选择 进入手机版 | 继续访问电脑版
 找回密码
 立即注册
搜索

互动交流 关于快应用开发工具 node-sass总是编译失败

6
回复
1637
查看
  [复制链接]

3

主题

5

帖子

40

积分

 楼主| 2019-10-28 17:19:28 显示全部楼层 |阅读模式
尽管 在终端成功安装了node-sass ,能够使用node-sass -v 查看到安装的版本,但编译器总是提示需要重新 rebuild 哇~试了各种方法,还是不行。果断的抛弃 这个快应用开发工具!!!
回复

使用道具 举报

8

主题

174

帖子

910

积分

2019-10-29 15:02:52 显示全部楼层
可以看看json文件。我们使用less是直接可以编译的。
回复

使用道具 举报

3

主题

5

帖子

40

积分

 楼主| 2019-10-31 09:13:10 显示全部楼层
vivo官方技术团队 发表于 2019-10-29 16:19 下载sass相关的类库 npm i node-sass sass-loader 页面使用
下载了, 页面也加了,还是一样的, 然后只能用其他的工具,进行 npm run watch 再开一个npm run server 去调试了。
回复

使用道具 举报

3

主题

5

帖子

40

积分

 楼主| 2019-10-31 09:14:11 显示全部楼层
左耳毛毛 发表于 2019-10-29 15:02 可以看看json文件。我们使用less是直接可以编译的。 ,这个style文件要写一下 ...
对的 less 是没问题的。
回复

使用道具 举报

1

主题

11

帖子

60

积分

2020-6-3 12:33:37 显示全部楼层
跟你一毛一样的问题
回复

使用道具 举报

0

主题

1

帖子

5

积分

2022-4-12 19:54:52 显示全部楼层
我猜一个原因:因为IDE内置的NodeJS的版本问题,导致NODE-SASS安装时认为这个NodeJS版本无法安装
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册